#include <QQuickWidget>
#include <QQmlError>
#include <QtWidgets>

class MainWindow : public QMainWindow {
public:
    MainWindow();

private:
    QQuickWidget *m_quickWidget;
};

MainWindow::MainWindow() : m_quickWidget(new QQuickWidget)
{
    QUrl source("qrc:qtbug38116/main.qml");
    m_quickWidget->resize(200,200);
    m_quickWidget->setResizeMode(QQuickWidget::SizeRootObjectToView );
    m_quickWidget->setSource(source);
    qDebug() << QT_VERSION_STR << source << m_quickWidget->status();
    setCentralWidget(m_quickWidget);
}

int main(int argc, char **argv)
{
    QApplication app(argc, argv);

    MainWindow mainWindow;
    mainWindow.setWindowTitle(QT_VERSION_STR);
    mainWindow.move(400, 400);
    mainWindow.show();

    return app.exec();
}
